package com.tuoheng.admin.vo;

import lombok.Data;

/**
 *  返回任务详情视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-05
 */
@Data
public class InspectionFilePageListVo {

    /**
     * 问题id
     */
    private String id;

    /**
     * 问题类型:1坑槽，2积水，3裂缝
     */
    private String questionId;

    /**
     * 类型名称：1坑槽，2积水，3裂缝
     */
    private String questionName;

    /**
     * 缩略图
     */
    private String fileThumbnail;

    /**
     * 经度
     */
    private String latitude;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 位置信息
     */
    private String location;

    /**
     * 状态：5待确认 10已忽略 15已确认 20已生成工单 25问题已处理
     */
    private Integer status;

}
