package com.tuoheng.admin.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.tuoheng.admin.entity.FlightData;
import com.tuoheng.admin.query.FlightDataQuery;

/**
 * @Author ChengWang
 * @Date 2022/12/1
 */
public interface IFlightDataService {

    /**
     * 获取飞机巡检坐标列表
     * @param flightDataQuery
     * @return
     */
    IPage<FlightData> getFlightDataList(FlightDataQuery flightDataQuery);

    /**
     * 飞行遥测数据入库
     * @param entity
     */
    void addCallback(FlightData entity);
}
